STRUCT T(3)

NAME
boost::xpressive::regex_id_filter_predicate

SYNOPSIS

// In header: <boost/xpressive/match_results.hpp>
template<typename BidiIter>
struct regex_id_filter_predicate {
  // construct/copy/destruct
  regex_id_filter_predicate(regex_id_type);
  // public member functions
  bool operator()(match_results< BidiIter > const &) const;
};

DESCRIPTION

  regex_id_filter_predicate public construct/copy/destruct

    1.

    regex_id_filter_predicate(regex_id_type regex_id);

  regex_id_filter_predicate public member functions

    1.

    bool operator()(match_results< BidiIter > const & res) const;